Skip to main content
GET
/
api
/
v1
/
crew
/
users
/
{user_id}
/
next-of-kin
List Next Of Kin
curl --request GET \
  --url https://api.example.com/api/v1/crew/users/{user_id}/next-of-kin \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "relationship": "<string>",
    "fullName": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "phone": "<string>",
    "email": "<string>",
    "address": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
relationship
string
required
fullName
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
phone
string | null
email
string | null
address
string | null